.scroll-box {
  height: 600px;
  /* maximum height of the box, feel free to change this! */
  overflow-y: scroll;
}

a.selected-item {
  background-color: red;
}

.delete-btn {
  vertical-align: top;
}

.child-pages {
  margin-left: 10px;
}

.child-pages .child-pages {
  margin-left: 10px;
}

.ul_nomargin {
  margin: 0px !important;
}

.hlnavon {
  border: 3px solid blue;
  font-weight: bold;
}

/* width of link hover to help find ID's / externals */
.tox-toolbar-nav-js {
  width: 340px !important;
}

.tox .tox-toolbar-textfield {
  max-width: 340px !important;
}

/**
Extra fixes/changes for the tinymce editor view of the content
**/
/* UNSET / BROKEN LINKS */
/* unvisited link */
#ra_bd a.aa:link {
  color: gray;
  text-decoration: underline;
}

/* visited link */
#ra_bd a.aa:visited {
  color: gray;
  text-decoration: underline;
}

/* mouse over link */
#ra_bd a.aa:hover {
  color: gray;
  text-decoration: underline;
}

/* selected link */
#ra_bd a.aa:active {
  color: gray;
  text-decoration: underline;
}

/* POPOVER LINKS */
/* unvisited link */
#ra_bd a.popover-link:link {
  color: #007bff;
  text-decoration: underline;
}

/* visited link */
#ra_bd a.popover-link:visited {
  color: #007bff;
  text-decoration: underline;
}

/* mouse over link */
#ra_bd a.popover-link:hover {
  color: #0056b3;
  text-decoration: underline;
}

/* selected link */
#ra_bd a.popover-link:active {
  color: #007bff;
  text-decoration: underline;
}

/* JUMP LINKS */
/* unvisited link */
#ra_bd a.jump-link:link {
  color: #007bff;
  text-decoration: underline;
}

/* visited link */
#ra_bd a.jump-link:visited {
  color: #007bff;
  text-decoration: underline;
}

/* mouse over link */
#ra_bd a.jump-link:hover {
  color: #0056b3;
  text-decoration: underline;
}

/* selected link */
#ra_bd a.jump-link:active {
  color: #007bff;
  text-decoration: underline;
}

/* INTERNAL LINKS */
/* unvisited link */
#ra_bd a.internal-link:link, a.reference-link:link {
  color: red;
  text-decoration: underline;
}

/* visited link */
#ra_bd a.internal-link:visited, a.reference-link:visited {
  color: red;
  text-decoration: underline;
}

/* mouse over link */
#ra_bd a.internal-link:hover, a.reference-link:hover {
  color: red;
  text-decoration: underline;
}

/* selected link */
#ra_bd a.internal-link:active, a.reference-link:active {
  color: red;
  text-decoration: underline;
}

/* REFERENCE LINKS */
/* unvisited link */
#ra_bd a.reference-link:link {
  color: orange;
  text-decoration: underline;
}

/* visited link */
#ra_bd a.reference-link:visited {
  color: orange;
  text-decoration: underline;
}

/* mouse over link */
#ra_bd a.reference-link:hover {
  color: orange;
  text-decoration: underline;
}

/* selected link */
#ra_bd a.reference-link:active {
  color: orange;
  text-decoration: underline;
}

#ra_bd table {
  width: 100% !important;
}

.tox .tox-toolbar-textfield {
  width: 330px !important;
  max-width: 330px !important;
}

.bg-horiz-stripe {
  background: repeating-linear-gradient(90deg, black, black 1px, white 1px, white 20px) !important;
}

/**
 * This is THE main stylesheet for the bugs and drugs preview server
 * copyright 2019-2020 SaintStreetSoftware
 *
 * - main document styles
 * - navbar
 * - ra_bd
 * - whatsnew-container
 * - footer
 * - #ra_bd things must be in sync with editor ra_bd.base.css for consistency
 * - editor only adjustments are in rails ra_bd_editor_only.css
 */
html,
body {
  font-family: Arial, "Helvetica Neue", Helvetica;
  background-color: #ffffff;
}

a {
  color: #555658;
}

a:hover {
  color: #555658;
}

/*
 * NAVBAR
 */
.navbar-default {
  background-color: #ccc;
}

.navbar-nav a.nav-link {
  /* color: #48494b; */
  color: white;
}

.spacer {
  width: 100%;
  height: 2px;
}

.display-4 {
  font-size: 2.5rem;
}

@media (min-width: 768px) {
  .display-4 {
    font-size: 3rem;
  }
}
#ra_bd p {
  margin: 0px;
  padding: 0px;
}

#ra_bd .smallp {
  font-size: 0.8em;
}

#ra_bd p[style*="padding-left: 120px;"] {
  padding-left: 40px !important;
}

.v201 {
  line-height: 1;
  margin-bottom: 1em;
}

#ra_bd body {
  font-size: 0.9em;
  font-weight: normal;
  margin-left: 10px;
}

#ra_bd .data {
  font-size: 1em;
  font-weight: normal;
}

#ra_bd h1,
#ra_bd .h1-span {
  font-size: 2.3em;
  font-weight: bold;
  margin: 10px 10px 6px 0;
  color: #333333;
}

#ra_bd h2,
#ra_bd .h2-span {
  font-size: 1.95em;
  font-weight: bold;
  margin: 10px 10px 6px 0;
  color: #333333;
}

#ra_bd h3,
#ra_bd .h3-span {
  font-size: 1.4em;
  font-weight: bold;
  margin: 10px 10px 6px 0;
  color: #333333;
}

#ra_bd h4,
#ra_bd .h4-span {
  font-size: 1.2em;
  font-weight: bold;
  margin: 10px 10px 6px 0;
  color: #333333;
}

#ra_bd h5,
#ra_bd .h5-span {
  font-size: 0.9em;
  font-weight: bold;
  margin: 10px 10px 6px 0;
  color: #333333;
}

#ra_bd table {
  border: 1px solid black;
  margin-right: 5px;
  vertical-align: top;
  width: 95%;
}

#ra_bd th {
  line-height: 1;
  padding-right: 10px;
  padding-bottom: 5px;
  padding-top: 5px;
  background-color: #BFBEBE;
  text-align: left;
}

#ra_bd th:first-child {
  padding-left: 5px;
}

#ra_bd tr:nth-child(odd) {
  background: #e5e5e5;
}

#ra_bd tr:nth-child(even) {
  background: white;
}

#ra_bd td {
  vertical-align: top;
  padding: 3px 5px 2px 5px;
  line-height: 1em;
}

#ra_bd td.ctrAlign {
  text-align: center;
}

#ra_bd td.indent {
  padding-left: 55px;
}

#ra_bd td:first-child {
  padding-left: 5px;
}

#ra_bd th.v205 {
  border: 1px solid black;
}

#ra_bd th.v205w {
  width: 15%;
  border: 1px solid black;
}

#ra_bd th.v205w {
  width: 15%;
  border: 1px solid black;
}

#ra_bd th.v205hw {
  width: 50%;
  border: 1px solid black;
}

#ra_bd th.v313 {
  width: 40%;
}

#ra_bd td.v301rg {
  font-size: 1.1em;
  font-weight: bold;
  vertical-align: top;
  padding-right: 5px;
  padding-left: 5px;
  padding-top: 3px;
  padding-bottom: 2px;
}

#ra_bd span.leftBracket {
  text-align: right;
  vertical-align: bottom;
  font-size: 1.5em;
  font-weight: bold;
  color: #DD0000;
}

#ra_bd span.rightBracket {
  text-align: left;
  vertical-align: bottom;
  font-size: 1.5em;
  font-weight: bold;
  color: #DD0000;
}

#ra_bd .page_breadcrumb {
  margin-bottom: 30px;
  margin-top: 5px;
}

#ra_bd ul {
  padding-right: 10px;
}

#ra_bd ul > li > p {
  margin-top: 0;
  margin-bottom: 0;
}

#ra_bd li {
  font-size: 100%;
}

#ra_bd li:last-child {
  margin-bottom: 0.5em;
}

#ra_bd ul.rounded {
  padding: 0;
  margin: 5px 10px 10px 10px;
}

#ra_bd ul.rounded,
#ra_bd ul.rounded.individual li {
  color: #d5d6d7;
  font-size: 1.5em;
  font-weight: bold;
}

#ra_bd ul#home.rounded li {
  font-size: 1.2em;
}

#ra_bd ul.rounded:first-child {
  margin-top: 40px;
}

#ra_bd ul.rounded li {
  list-style-type: none;
  padding: 10px;
}

#ra_bd ul.rounded li a.nav {
  display: block;
  font-size: 0.9em;
  overflow: hidden;
  text-decoration: none;
  text-overflow: ellipsis;
  padding: 13px 26px 13px 10px;
}

#ra_bd ul.rounded li a.nav:hover {
  background-color: rgba(214, 215, 213, 0.7);
  color: #555658;
}

#ra_bd ul.rounded li a.nav:hover strong {
  color: #555658;
}

/* unvisited link */
#ra_bd a.aa:link,
a.popover-link:link,
a.internal-link:link,
a.reference-link:link,
a.jump-link:link {
  color: #007bff;
  text-decoration: underline;
}

/* visited link */
#ra_bd a.aa:visited,
a.popover-link:visited,
a.internal-link:visited,
a.reference-link:visited,
a.jump-link:visited {
  color: #007bff;
  text-decoration: underline;
}

/* mouse over link */
#ra_bd a.aa:hover,
a.popover-link:hover,
a.internal-link:hover,
a.reference-link:hover,
a.jump-link:hover {
  color: #0056b3;
  text-decoration: underline;
}

/* selected link */
#ra_bd a.aa:active,
a.popover-link:active,
a.internal-link:active,
a.reference-link:active,
a.jump-link:active {
  color: #007bff;
  text-decoration: underline;
}

#ra_bd img.paintChip {
  width: 0;
  height: 0;
}

#ra_bd .nav:hover {
  background-color: #dedede;
  color: #555658;
}

#ra_bd .nav:hover strong {
  color: #555658;
}

#ra_bd tr.stripe,
td.stripe {
  background-color: #e5e5e5;
}

#ra_bd .nav {
  display: inline;
  padding-left: 0;
}

#ra_bd td p {
  margin: 0px;
}

#ra_bd tr.border-bottom {
  border-bottom: 1px solid !important;
}

div.emphasis {
  font-size: 1.2em;
  font-weight: bold;
  margin-left: 10px;
  margin-right: 10px;
}

a.bb {
  font-size: 2.5em;
  padding-right: 10px;
}

#ra_bd .underline {
  text-decoration: underline;
}

.suggestions-list {
  list-style-type: none;
}

#searchresults ul > li {
  list-style-type: none;
  margin: 5px;
  border-bottom: 1px dotted;
}

#searchresults ul {
  border: 1px solid black;
}

/**
* accordian
*
*/
blockquote.accordian {
  border-width: 1px;
  border-style: solid;
  border-color: #555658;
  background-color: white;
  border-radius: 0.25rem;
  margin-block-start: 0.25rem;
  margin-inline-start: 0.25rem;
}

/** what's new panel on the home page */
.whatsnew-container {
  border-color: #ccc;
  border-width: 1px;
  border-style: solid;
  margin-top: 98px;
  padding: 10px;
}

.whatsnew-container .page_breadcrumb {
  display: none;
}

.whatsnew-container .current {
  min-height: 350px;
}

.whatsnew-container .current h2 {
  text-align: center;
}

/* Breadcrumb */
.breadcrumb-menu-container {
  font-size: 1.2em;
  background: #F2F2F2;
}

.breadcrumb-menu {
  background: #F2F2F2;
  max-width: 66em;
  margin: 0 auto;
  color: #65488B;
  font-weight: bold;
  padding: 5px;
}

.breadcrumb-menu a {
  color: #65488B;
  text-decoration: underline;
  font-weight: normal;
}

.breadcrumb-menu a:hover {
  color: #987dbc;
  background: #F2F2F2;
}

/* Footer */
.footer {
  background-color: #FFFFFF;
  color: #54327F;
  padding-top: 35px;
}

.footer a {
  color: #54327F;
}

.footer h5 {
  color: #54327F;
}

.footer ul {
  list-style-type: none;
  padding-left: 0;
}

.footer .container-spacer {
  margin: 0;
  padding-top: 5px;
  border-top-style: solid;
  border-top-width: 1px;
  border-top-color: #ccc;
}

.header-1 {
  background-color: #b27dab;
  color: black;
  padding-right: 10px;
}

.header-2 {
  background-color: #58144E;
  color: white;
  padding: 0px 5px;
}

ul.navbar-nav > li:hover {
  background-color: #f05a28 !important;
}

#ra_bd .page_breadcrumb {
  background-color: #e2b8dc;
  color: black;
  margin-top: -2px;
  padding: 5px;
}

#ra_bd .breadcrumb_hr {
  display: none;
}

#searchclear {
  position: relative;
}

#searchclear .far {
  position: absolute;
  right: 8px;
  top: -11px;
  margin: auto;
  font-size: 1.5em;
  cursor: pointer;
  color: #ccc;
}

#navsearch .btn-success {
  background-color: #f05a28 !important;
  border-color: #f05a28 !important;
}

input[type=search]::-webkit-search-cancel-button,
input[type=search]::-webkit-search-decoration {
  -webkit-appearance: none;
}

.hide_breadcrumb .page_breadcrumb {
  display: none;
}

.neonate-bg {
  background-image: url("/bdimages/blueBaby.png");
  background-position: top;
  background-repeat: no-repeat;
  background-size: 70%;
  background-position-y: 3em;
  z-index: 5;
}

.popover {
  max-width: 50%;
}

body {
  background-color: #fff;
  color: #333;
  font-family: verdana, arial, helvetica, sans-serif;
  font-size: 16px;
  line-height: 1.2em;
  margin: 10px;
}

p, ol, ul, td {
  font-family: verdana, arial, helvetica, sans-serif;
  font-size: 13px;
  line-height: 18px;
  margin: 10px;
}

pre {
  background-color: #eee;
  padding: 10px;
  font-size: 11px;
}

a {
  color: #000;
}
a:visited {
  color: #666;
}
a:hover {
  color: #fff;
  background-color: #000;
}

th {
  padding-bottom: 5px;
}

td {
  padding-bottom: 7px;
  padding-left: 5px;
  padding-right: 5px;
}

div.field, div.actions {
  margin-bottom: 10px;
}

#notice {
  color: green;
}

.field_with_errors {
  padding: 2px;
  background-color: red;
  display: table;
}

#error_explanation {
  width: 450px;
  border: 2px solid red;
  padding: 7px;
  padding-bottom: 0;
  margin-bottom: 20px;
  background-color: #f0f0f0;
}
#error_explanation h2 {
  text-align: left;
  font-weight: bold;
  padding: 5px 5px 5px 15px;
  font-size: 12px;
  margin: -7px;
  margin-bottom: 0;
  background-color: #c00;
  color: #fff;
}
#error_explanation ul li {
  font-size: 12px;
  list-style: square;
}

label {
  display: block;
}

.spinner {
  margin: 100px auto 0;
  width: 70px;
  text-align: center;
}

.spinner > div {
  width: 18px;
  height: 18px;
  background-color: #333;
  border-radius: 100%;
  display: inline-block;
  animation: sk-bouncedelay 1.4s infinite ease-in-out both;
}

.spinner .bounce1 {
  animation-delay: -0.32s;
}

.spinner .bounce2 {
  animation-delay: -0.16s;
}
@keyframes sk-bouncedelay {
  0%, 80%, 100% {
    transform: scale(0);
  }
  40% {
    transform: scale(1);
  }
}
#busy_modal {
  z-index: 999999;
}

.navbar-nav > li > a {
  padding-top: 15px;
  padding-bottom: 15px;
}

.nav > li > a {
  position: relative;
  display: block;
  padding: 10px 15px;
}

.navbar-nav > li > a:hover {
  background-color: #da0101 !important;
}

.navbar {
  position: relative;
  min-height: 50px;
  margin-bottom: 20px;
  border: 1px solid transparent;
}

.btn {
  display: inline-block;
  margin-bottom: 0;
  font-weight: normal;
  text-align: center;
  vertical-align: middle;
  touch-action: manipulation;
  cursor: pointer;
  background-image: none;
  border: 1px solid transparent;
  white-space: nowrap;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1.42857143;
  border-radius: 4px;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

.btn-default {
  color: #333;
  background-color: #fff;
  border-color: #ccc;
}

.pull-right {
  float: right !important;
}

.btn-warning {
  color: #fff;
  background-color: #f0ad4e;
  border-color: #eea236;
}

.random {
  color: #000;
}

/* 
comment
*/

/*# sourceMappingURL=data:application/json;base64,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 */